| Kea 3.0.2-git

isc::radius::AttrDef Class Reference

RADIUS attribute definition. More...

`#include <client_dictionary.h>`

## Public Member Functions
| AttrDef (const uint8_t type, const std::string &name, const AttrValueType value_type)
| Constructor.

## Public Attributes
const std::string | name_
| name.
const uint8_t | type_
| type.
const AttrValueType | value_type_
| value_type.

## Detailed Description

RADIUS attribute definition.

Definition at line 52 of file client_dictionary.h.

## Constructor & Destructor Documentation

## ◆ AttrDef()

isc::radius::AttrDef::AttrDef | ( | const uint8_t | type,
|  | const std::string & | name,
|  | const AttrValueType | value_type )
| inline

Constructor.

Parameters

  type | attribute type.
  name | attribute name.
  value_type | attribute value type.

Definition at line 60 of file client_dictionary.h.

References name_, type_, and value_type_.

## Member Data Documentation

## ◆ name_

const std::string isc::radius::AttrDef::name_

name.

Definition at line 69 of file client_dictionary.h.

Referenced by AttrDef().

## ◆ type_

const uint8_t isc::radius::AttrDef::type_

type.

Definition at line 66 of file client_dictionary.h.

Referenced by AttrDef().

## ◆ value_type_

const AttrValueType isc::radius::AttrDef::value_type_

value_type.

Definition at line 72 of file client_dictionary.h.

Referenced by AttrDef().

The documentation for this class was generated from the following file:

- client_dictionary.h